com.google.common.reflect

## Class ClassPath.ResourceInfo

- java.lang.Object
- - com.google.common.reflect.ClassPath.ResourceInfo

- Direct Known Subclasses:
    ClassPath.ClassInfo
  Enclosing class:
    ClassPath

      @Beta
      public static class ClassPath.ResourceInfo
      extends java.lang.Object

  Represents a class path resource that can be either a class file or any other resource file loadable from the class path.
  Since:
    14.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getResourceName()` Returns the fully qualified name of the resource.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`
    `java.net.URL` | `url()` Returns the url identifying the resource.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### url

          public final java.net.URL url()
                                 throws java.util.NoSuchElementException

      Returns the url identifying the resource.

      See `ClassLoader.getResource(java.lang.String)`

      Throws:
        `java.util.NoSuchElementException` - if the resource cannot be loaded through the class loader, despite physically existing in the class path.

    - #### getResourceName

          public final java.lang.String getResourceName()

      Returns the fully qualified name of the resource. Such as "com/mycomp/foo/bar.txt".

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`